#pragma once

#include "Text.h"
#include "Funktion.h"
#include "Typ.h"
#include "Feld.h"
#include <vector>

namespace Framework
{
    class Klasse : public Typ
    {
    private:
        Text name;
        std::vector<Funktion> funktions;
        std::vector<Feld> felder;

    public:
        Klasse( Text name )
        {
            this->name = name;
        }

        void addFunction(Funktion f)
        {
            this->funktions.push_back( f );
        }

        void addFeld( Feld f )
        {
            this->felder.push_back( f );
        }
    };
};